import request from '@/utils/request'

// 查询设施列表
export function listEquipment(query) {
  return request({
    url: '/system/equipment/list',
    method: 'get',
    params: query
  })
}

// 查询设施详细
export function getEquipment(equipmentId) {
  return request({
    url: '/system/equipment/' + equipmentId,
    method: 'get'
  })
}

// 新增设施
export function addEquipment(data) {
  return request({
    url: '/system/equipment',
    method: 'post',
    data: data
  })
}

// 修改设施
export function updateEquipment(data) {
  return request({
    url: '/system/equipment',
    method: 'put',
    data: data
  })
}

// 删除设施
export function delEquipment(equipmentId) {
  return request({
    url: '/system/equipment/' + equipmentId,
    method: 'delete'
  })
}
